import e from "./constant.js";
//#region ../../node_modules/d3-interpolate/src/color.js
function t(e, t) {
	return function(n) {
		return e + n * t;
	};
}
function n(e, t, n) {
	return e **= +n, t = t ** +n - e, n = 1 / n, function(r) {
		return (e + r * t) ** +n;
	};
}
function r(n, r) {
	var i = r - n;
	return i ? t(n, i > 180 || i < -180 ? i - 360 * Math.round(i / 360) : i) : e(isNaN(n) ? r : n);
}
function i(t) {
	return (t = +t) == 1 ? a : function(r, i) {
		return i - r ? n(r, i, t) : e(isNaN(r) ? i : r);
	};
}
function a(n, r) {
	var i = r - n;
	return i ? t(n, i) : e(isNaN(n) ? r : n);
}
//#endregion
export { a as default, i as gamma, r as hue };
